安装 Drupal 对服务器环境有什么要求?

想学习使用 Drupal,请问一下对系统有哪些要求?比如PHP版本,数据库类型等等。希望有经验的前辈指点一下,谢谢。

评论

关于 Drupal 的运行环境要求,可以参考下方说明

Drupal 8

  • Apache 2.x
  • PHP 5.5.9 及以上版本
  • MySQL 5.5.3 及以上版本

Drupal 7

  • Apache 2.x
  • PHP 5.2.5 及以上版本(推荐 PHP 5.4 及以上版本)
  • MySQL 5.0.15 及以上版本

Drupal 6

  • Apache 2.x
  • PHP 5.x(推荐 PHP 5.2.5 及以上版本)
  • MySQL 4.1.1 及以上版本

除了 Apache 和 MySQL 之外,Drupal 也可以使用其它 Web 服务器和数据库,不过因为 Drupal 本身是基于 Apache 和 MySQL 进行开发的,所以更推荐大家使用这个组合。

更多详情可以参考官方文档:https://drupal.org/requirements